/*
** $VER ScreenToFront.c 1.2 (26.2.97)
** Copyright 1997 Mark Rigby-Jones
** mrj@ox.compsoc.org.uk.uk <*> http://www.ox.compsoc.org.uk/~mrj/
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** If you do not have a copy of the GNU General Public License then
** you can get one by writing to the Free Software Foundation, Inc.,
** 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdlib.h>
#include <stdio.h>
#include <intuition/screens.h>
#include <clib/intuition_protos.h>

UBYTE *ver = "\0$VER: ScreenToFront 1.2 (26.2.97)";

main(int argc, char *argv[])
{
    struct Screen *mypubscreen;
    if (argc != 2) {                            // No screen name given!
        return(5);                              //  exit with an error.
    } else {
        mypubscreen = LockPubScreen(argv[1]);   // Find the screen's address
        if (mypubscreen == NULL) {              //  Screen doesn't exist!
            return(5);                          //   exit with an error.
        } else {
            ScreenToFront(mypubscreen);         // Bring the screen to front
            UnlockPubScreen(NULL, mypubscreen); //  then unlock it again
            return(0);                          //  and exit nicely.
        }
    }
}
